peak_v1 = matrix(data = NA, nrow=n, ncol=length(D))
fwhm_v1 = matrix(data = NA, nrow=n, ncol=length(D))
pos_v1 = matrix(data = NA, nrow=n, ncol=length(D))
bg = matrix(data = NA, nrow=n, ncol=length(D))

# loop to read Raman spectra and fit Gaussian curves
for (i in 1:1:length(D)) {
	
	# read the spectra
	thisRaman<-read.table(paste(inpath,"/",D[i], sep=""),header=F,sep='\t')
	
	# locate the data between 1080 and 1100 cm^-1 (i.e. the v1 peak)
	inds = which(thisRaman$V1 < 1100 & thisRaman$V1 > 1080)
	
	# define x as cm^-1 and r as the intensity
	x = thisRaman$V1[inds]
	
	for (j in seq(2,length(thisRaman),1)) {
	
		r = thisRaman[inds,j]
	
		# make a data frame for curve fitting
		v1 = data.frame(x,r)
	
		# non-linear least squares fitting: background intercept and slope, and Gaussian curve
		thisFit_v1 = try(nls(r ~ b + m*x + k * exp(-((x-p))^2/(2*sd^2)), data=v1, start = list(b=600,k=300,p=1088,sd=2,m=0)),silent=TRUE)
	
	if (length(thisFit_v1)>1) {
		# define full width at half maximum (FWHM), peak height, and peak position from the Gaussian fit
		fwhm_v1[j-1,i] = abs(coef(thisFit_v1)[4]*2*sqrt(2*log(2)))
		peak_v1[j-1,i] = coef(thisFit_v1)[2]
		pos_v1[j-1,i] = coef(thisFit_v1)[3]
		bg[j-1,i] = coef(thisFit_v1)[1]+coef(thisFit_v1)[5]*coef(thisFit_v1)[3]
		}
	}
	
}
